OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
TKCAF
TPrsStd

# TPrsStd_DataMapIteratorOfDataMapOfGUIDDriver Class Reference

`#include <TPrsStd_DataMapIteratorOfDataMapOfGUIDDriver.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | TPrsStd_DataMapIteratorOfDataMapOfGUIDDriver ()
Standard_EXPORT | TPrsStd_DataMapIteratorOfDataMapOfGUIDDriver (const TPrsStd_DataMapOfGUIDDriver &aMap)
Standard_EXPORT void | Initialize (const TPrsStd_DataMapOfGUIDDriver &aMap)
Standard_EXPORT const Standard_GUID & | Key () const
Standard_EXPORT const Handle_TPrsStd_Driver & | Value () const

## Constructor & Destructor Documentation

Standard_EXPORT TPrsStd_DataMapIteratorOfDataMapOfGUIDDriver::TPrsStd_DataMapIteratorOfDataMapOfGUIDDriver | ( |  | ) |

Standard_EXPORT TPrsStd_DataMapIteratorOfDataMapOfGUIDDriver::TPrsStd_DataMapIteratorOfDataMapOfGUIDDriver | ( | const TPrsStd_DataMapOfGUIDDriver & | aMap | ) |

## Member Function Documentation

Standard_EXPORT void TPrsStd_DataMapIteratorOfDataMapOfGUIDDriver::Initialize | ( | const TPrsStd_DataMapOfGUIDDriver & | aMap | ) |

Standard_EXPORT const Standard_GUID& TPrsStd_DataMapIteratorOfDataMapOfGUIDDriver::Key | ( |  | ) | const

void TPrsStd_DataMapIteratorOfDataMapOfGUIDDriver::operator delete | ( | void * | anAddress | ) | `[inline]`

void* TPrsStd_DataMapIteratorOfDataMapOfGUIDDriver::operator new | ( | size_t | size | ) | `[inline]`

void* TPrsStd_DataMapIteratorOfDataMapOfGUIDDriver::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT const Handle_TPrsStd_Driver& TPrsStd_DataMapIteratorOfDataMapOfGUIDDriver::Value | ( |  | ) | const

The documentation for this class was generated from the following file:

- TPrsStd_DataMapIteratorOfDataMapOfGUIDDriver.hxx